
/* header */
/* #region*/

.hafid{
    background: url(/images/up/logo.png) no-repeat;
    width: auto;
    height: 56px;
}
.leomik{
    background: url(/images/up/logo_leomik_market.png) no-repeat;
    width: auto;
    height: 56px;
}

#menu{
    display: none;
    grid-area: menu;
}
.hide_menu{
    display: none;
    grid-area: hide_menu;
}
/*#header-contacts{*/
/*    justify-self: right;*/
/*    align-self: center;*/
/*    width: 210px;*/
/*    height: 21px;*/
/*    grid-column: 2; !*Пока убрана кнопка "Стать партнером"*!*/

/*    display: flex;*/
/*    align-items: center;*/
/*    justify-content: center;*/
/*}*/
/*#header-contacts div a{*/
/*    position: relative;*/
/*    font-family: Vollkorn;*/
/*    font-size: 15px;*/
/*    line-height: 21px;*/
/*    !* identical to box height, or 140% *!*/
/*    text-align: left;*/
/*    font-feature-settings: 'tnum' on, 'lnum' on;*/

/*    !* #2C2C2C *!*/
/*    color: #2C3759;*/
/*    margin: 5px;*/
/*}*/


/*#enter{*/
/*    justify-self: center;*/
/*    align-self: center;*/
/*    grid-column: 4; !*пока убрана кнопка "Стать партнером"*!*/
/*    width: 72px;*/
/*    display: inline-flex;*/
/*}*/

/*#enter a{*/
/*    left:5px;*/
/*    font-family: Vollkorn;*/
/*    font-size: 15px;*/
/*    line-height: 21px;*/
/*    !* identical to box height, or 140% *!*/

/*    text-align: center;*/
/*    font-feature-settings: 'tnum' on, 'lnum' on;*/

/*    !* #2C2C2C *!*/

/*    color: #2C3759;*/
/*}*/

/*#enter img{*/
/*    width: 24px;*/
/*    height: 24px;*/

/*}*/


@media (min-width: 1399px) {

    .header{
        width: 1440px;
    }
    .header{
        display: flex;
    }

    #nav{
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 104px;
    }
    .a-row1{
        width:1175px;
    }
    .nav-div1{
        display:contents;
    }
    .nav-div1:before{
        height: 40px;
        width: 1px;
        display: block;
        content: "";
        background: #2C3759;
    }
    .nav-div1 a{
        position: relative;
        font-family: Vollkorn;
        font-size: 15px;
        text-align: center;
        font-feature-settings: 'tnum' on, 'lnum' on;
        color: #2C3759;
        height: 80px;
        width:120px;
        line-height:80px;
        margin-right: 15px;
        margin-left: 15px;
        text-decoration: none;
    }
    .nav-div1 a:hover {
        text-decoration: none;
        color: #FA6900;
    }

    .nav-ul{
        padding: 0;
        list-style: none;
        /*display:-webkit-box;*/
        display: contents;
    }

    .nav-ul li{
        margin-left: 30px;
        display: flex;
        justify-content: center;
        align-items: center;
        top: calc(50% - 104px/2);
        position:relative;
        width:120px;

    }
    .nav-ul li a {
        display: block;
        width: 100%;
        height: 80px;
        text-decoration: none;
        line-height: 80px;
        font-family: Vollkorn;
        font-size: 15px;
        font-feature-settings: 'tnum' on, 'lnum' on;
        color: #2C3759;
        text-align: center;
    }
    .nav-ul li a:hover {
        text-decoration: none;
        color: #FA6900;
    }



    .header #logo{
        grid-area: logo;
        justify-self: right;
        align-self: center;
        width: 245px;
        height: 56px;
        margin-left:20px;
    }
    #try{
        justify-self: center;
        align-self: center;
        width: 183px;
        height: 48px;
        padding:10px;
        border: 1.33px solid #FA6900;
        box-sizing: border-box;
        border-radius: 8px;
        color: #2C3759;
        grid-column:5; /*пока убрана кнопка "Стать партнером"*/
    }
    #try btn{
        position: relative;
    }
    #try:hover{
        background: #FA6900;
    }
    #try btn{
        top: calc(50% - 80px/2);
        text-transform: uppercase;
        font-family: Montserrat;
        font-style: normal;
        font-weight: bold;
        font-size: 12px;
        line-height: 24px;
    }
    .top-nav{
        display: none;
    }
}
@media (min-width:1024px) and (max-width:1399px) {

    .header{
        width: auto;
        left: 0px;
        top: 0px;
    }
    .header{
        display: grid;
        grid-template-areas:
                "logo franchise nav enter try"
    }

    #nav{
        display: flex;
        justify-content: space-around;
        align-items: center;
        height: 104px;
    }
    .a-row1{
        min-width:805px;
        width: auto;
    }
    .nav-div1{
        display:contents;
    }
    .nav-div1:before{
        height: 40px;
        width: 1px;
        display: block;
        content: "";
        background: #2C3759;
    }
    .nav-div1 a{
        position: relative;
        font-family: Vollkorn;
        font-size: 15px;
        /* identical to box height, or 140% */
        text-align: center;
        font-feature-settings: 'tnum' on, 'lnum' on;
        /* #2C2C2C */
        color: #2C3759;
        height: 80px;
        width:100px;
        line-height:80px;
        margin-right: 0;
        margin-left: 0;
        text-decoration: none;
    }
    .nav-div1 a:hover {
        text-decoration: none;
        color: #FA6900;
    }

    .nav-ul{
        padding: 0;
        list-style: none;
        /*display:-webkit-box;*/
        display: contents;
    }

    .nav-ul li{
        margin-right: 12px;
        margin-left: 12px;
        display: flex;
        justify-content: center;
        align-items: center;
        top: calc(50% - 104px/2);
        position:relative;

    }
    .nav-ul li a {
        display: block;
        width: 100%;
        height: 80px;
        text-decoration: none;
        line-height: 80px;
        font-family: Vollkorn;
        font-size: 15px;
        font-feature-settings: 'tnum' on, 'lnum' on;
        color: #2C3759;
        text-align: center;
    }
    .nav-ul li a:hover {
        text-decoration: none;
        color: #FA6900;
    }



    .header #logo{
        grid-area: logo;
        justify-self: right;
        align-self: center;
        width: 245px;
        height: 56px;
    }
    #try{
        justify-self: center;
        align-self: center;
        width: 125px;
        height: 48px;
        padding:10px;
        border: 1.33px solid #FA6900;
        box-sizing: border-box;
        border-radius: 8px;
        color: #2C3759;
        grid-column:5; /*пока убрана кнопка "Стать партнером"*/
    }
    #try btn{
        position: relative;
    }
    #try:hover{
        background: #FA6900;
    }
    #try btn{
        top: calc(50% - 80px/2);
        text-transform: uppercase;
        font-family: Montserrat;
        font-style: normal;
        font-weight: bold;
        font-size: 12px;
        line-height: 24px;
    }
    .top-nav{
        display: none;
    }
}
@media screen and (min-width:601px) and (max-width:1024px) {
    .hafid{
        background: url(/images/up/hafid.png) no-repeat;
        background-position: center;
    }
    .leomik{
        background: url(/images/up/log_mob_leomik.png) no-repeat;
        background-position: center;
    }

    .header{
        display: grid;
        grid-template-areas:
                "logo nav "
    }

    #nav{
        display: flex;
        align-items: center;
        height: 104px;
    }
    .a-row1{
        width:420px;
        justify-self: right;
    }
    .nav-div1{
        display:contents;
    }
    .nav-div1 a{
        position: relative;
        font-family: Vollkorn;
        font-size: 15px;
        /* identical to box height, or 140% */
        text-align: center;
        font-feature-settings: 'tnum' on, 'lnum' on;
        /* #2C2C2C */
        color: #2C3759;
        height: 80px;
        width:100px;
        line-height:80px;
        margin-right: 15px;
        text-decoration: none;
    }


    .nav-ul{
        padding: 0;
        list-style: none;
        /*display:-webkit-box;*/
        display: none;
    }


    .header #logo{
        grid-area: logo;
        align-self: center;
        width: 200px;
        height: 56px;
    }
    #try{
        justify-self: center;
        align-self: center;
        width: 183px;
        height: 48px;
        padding:10px;
        border: 1.33px solid #FA6900;
        box-sizing: border-box;
        border-radius: 8px;
        color: #2C3759;
        margin-right: 40px;
    }
    #try btn{
        position: relative;
    }
    #try:hover{
        background: #FA6900;
    }
    #try btn{
        top: calc(50% - 80px/2);
        text-transform: uppercase;
        font-family: Montserrat;
        font-style: normal;
        font-weight: bold;
        font-size: 12px;
        line-height: 24px;
    }
    .top-nav {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        color: #FFF;
        height: 50px;
        width: 50px;
    }

    .menu {
        display: flex;
        list-style-type: none;
        margin: 0;
        padding: 0;
        position: fixed;
        margin-top: 290px;
        left: 8%;
        flex-direction: column;
        width: 80%;
        justify-content: center;
        align-items: center;
        z-index: 998;
    }

    .menu > li {
        margin: 0 1rem;
        overflow: hidden;
    }

    .menu-button-container {
        height: 50px;
        width: 50px;
        cursor: pointer;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        display: flex;
        position: fixed;
        z-index: 998;
    }

    #menu-toggle {
        display: none;
    }

    .menu-button,
    .menu-button::before,
    .menu-button::after {
        display: block;
        background-color:#FA6900;
        position: absolute;
        height: 7px;
        width: 45px;
        transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
        border-radius: 8px;
    }

    .menu-button::before {
        content: '';
        margin-top: -12px;
    }

    .menu-button::after {
        content: '';
        margin-top: 12px;
    }

    #menu-toggle:checked + .menu-button-container .menu-button::before {
        margin-top: 0px;
        transform: rotate(405deg);
    }

    #menu-toggle:checked + .menu-button-container .menu-button {
        background: rgba(255, 255, 255, 0);
    }

    #menu-toggle:checked + .menu-button-container .menu-button::after {
        margin-top: 0px;
        transform: rotate(-405deg);
    }

    #menu-toggle ~ .menu li {
        height: 0;
        margin: 0;
        padding: 0;
        border: 0;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
        list-style: none;
        margin-left: 1.5rem;
        margin-bottom: 0.5rem;
        font-size: 1.2rem;
        border-radius:8px ;

    }
    #menu-toggle:checked ~ .menu li {
        -webkit-box-shadow: inset 0px 0px 15px 1px rgb(255 240 240);
        height: 50px;
        padding: 0.5em;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
        list-style: none;
        margin-left: 1.5rem;
        margin-bottom: 3px;
        font-size: 1.2rem;
    }
    .menu > li {
        display: flex;
        justify-content: center;
        margin: 0;
        padding: 0.5em 0;
        width: 490px;
        color: white;
        background: linear-gradient(#775656ED, 10%, #FF731FED);
        opacity: 0.99;
        list-style: none;
        margin-left: 1.5rem;
        margin-bottom: 0.5rem;
        font-size: 20px;
    }
    .menu > li:not(:last-child) {
        -webkit-box-shadow: inset 0px 0px 15px 1px rgb(255 240 240);
        list-style: none;
        margin-left: 1.5rem;
        margin-bottom: 0.5rem;
        font-size: 20px;
    }
    .menu a {
        text-decoration: none;
        color: #fff0f0;
        font-weight: 600;
        transition: color 0.3s ease-in-out;
        width: 100%;
        height:100%;
        font-size: 20px;
        line-height: 43px;
        text-align: center;
        z-index: 998;
        font-family: Vollkorn;
    }
    .background1{
        display:none;
    }
    #menu-toggle:checked ~ .background1{
        top:0;
        left:0;
        position: fixed;
        height: 100%;
        width: 100%;
        opacity: 0.3;
        z-index: 100;
        filter: blur(2px);
        display: block;
        background: #0a0a0a;
    }
}
@media screen and (max-width: 601px){
    .hafid{
        background: url(/images/up/hafid.png) no-repeat;
        background-position: center;
    }
    .leomik{
        background: url(/images/up/log_mob_leomik.png) no-repeat;
        background-position: center;
    }

    .header{
        display: grid;
        grid-template-areas:
                "logo franchise nav enter try";
        width: 100vw;
        justify-content: center;
    }

    #nav{
        display: flex;
        justify-content: end;
        align-items: center;
        height: 104px;
        min-width: 180px;
        max-width: 200px;
    }
    .a-row1{
    }
    .nav-div1{
        display:contents;
    }
    .nav-div1 a{
        position: relative;
        font-family: Vollkorn;
        font-size: 15px;
        /* identical to box height, or 140% */
        text-align: center;
        font-feature-settings: 'tnum' on, 'lnum' on;
        /* #2C2C2C */
        color: #2C3759;
        height: 80px;
        width:60px;
        line-height:80px;
        margin-right: 50px;
        text-decoration: none;
    }


    .nav-ul{
        padding: 0;
        list-style: none;
        /*display:-webkit-box;*/
        display: none;
    }


    .header #logo{
        grid-area: logo;
        align-self: center;
        width: 150px;
        height: 64px;
    }
    #try{
       display: none;
    }
    #try btn{
    display: none;
    }
    .top-nav {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        color: #FFF;
        height: 50px;
        width: 50px;
    }

    .menu {
        display: flex;
        list-style-type: none;
        margin: 0;
        padding: 0;
        position: fixed;
        margin-top: 510px;
        left: 40px;
        flex-direction: column;
        width: 80%;
        justify-content: center;
        align-items: center;
        z-index: 998;
    }

    .menu > li {
        margin: 0 1rem;
        overflow: hidden;
    }

    .menu-button-container {
        height: 50px;
        width: 50px;
        cursor: pointer;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        display: flex;
        position: fixed;
        z-index: 998;
    }

    #menu-toggle {
        display: none;
        top: 0;
    }

    .menu-button,
    .menu-button::before,
    .menu-button::after {
        display: block;
        background-color:#FA6900;
        position: absolute;
        height: 7px;
        width: 45px;
        transition: transform 400ms cubic-bezier(0.23, 1, 0.32, 1);
        border-radius: 8px;
    }

    .menu-button::before {
        content: '';
        margin-top: -12px;
    }

    .menu-button::after {
        content: '';
        margin-top: 12px;
    }

    #menu-toggle:checked + .menu-button-container .menu-button::before {
        margin-top: 0px;
        transform: rotate(405deg);
    }

    #menu-toggle:checked + .menu-button-container .menu-button {
        background: rgba(255, 255, 255, 0);
    }

    #menu-toggle:checked + .menu-button-container .menu-button::after {
        margin-top: 0px;
        transform: rotate(-405deg);
    }

    #menu-toggle ~ .menu li {
        height: 0;
        margin: 0;
        padding: 0;
        border: 0;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
        list-style: none;
        margin-left: 1.5rem;
        margin-bottom: 0.5rem;
        font-size: 1.2rem;
        border-radius:8px ;

    }
    #menu-toggle:checked ~ .menu li {
        -webkit-box-shadow: inset 0px 0px 15px 1px rgb(255 240 240);
        height: 55px;
        padding: 0.5em;
        transition: height 400ms cubic-bezier(0.23, 1, 0.32, 1);
        list-style: none;
        margin-left: auto;
        margin-bottom: 3px;
        font-size: 1.2rem;
    }
    .menu > li {
        display: flex;
        justify-content: center;
        margin: 0;
        padding: 0.5em 0;
        width: 100%;
        color: white;
        background: linear-gradient(#775656ED, 10%, #FF731FED);
        opacity: 0.99;
        list-style: none;
        margin-left: auto;
        margin-bottom: 0.5rem;
        font-size: 20px;
    }
    .menu > li:not(:last-child) {
        -webkit-box-shadow: inset 0px 0px 15px 1px rgb(255 240 240);
        list-style: none;
        margin-left: auto;
        margin-bottom: 0.5rem;
        font-size: 20px;
    }
    .menu a {
        text-decoration: none;
        color: #fff0f0;
        font-weight: 600;
        transition: color 0.3s ease-in-out;
        width: 100%;
        height:100%;
        font-size: 20px;
        line-height: 43px;
        text-align: center;
        z-index: 998;
        font-family: Vollkorn;
    }
    .background1{
        display:none;
    }
    #menu-toggle:checked ~ .background1{
        top:0;
        left:0;
        position: fixed;
        height: 100%;
        width: 100%;
        opacity: 0.3;
        z-index: 100;
        filter: blur(2px);
        display: block;
        background: #0a0a0a;
    }

}

#franchise{
    justify-self: center;
    align-self: center;

}

a#franchise{
    grid-area:franchise;
    position: relative;
    font-family: Vollkorn;
    font-size: 15px;
    font-feature-settings: 'tnum' on, 'lnum' on;
    color: #2C3759;
    margin: 5px;
}
a#franchise:hover{
    text-decoration: none;
    color: #FA6900;
}
/* #endregion */
